FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » FUDforum Installation Issues » Can't upgrade
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
Can't upgrade [message #37077] Wed, 02 May 2007 17:33 Go to next message
JanRei is currently offline  JanRei   Germany
Messages: 361
Registered: October 2005
Location: Germany
Karma: 0
Senior Member
Contributing Core Developer
Translator
add to buddy list
ignore all messages by this user
I am trying to update existing installations of FUDforum. The problem occurs on two servers. The versions of FUDforum I try to upgrade are 2.7.5 and 2.7.7RC2, the upgrade script was built from latest CVS.

This are the error messages I receive:
Zitat:

Notice: Undefined variable: MYSQL_TBL_PREFIX in C:\xampp\htdocs\forum\upgrade.php on line 995

Notice: Undefined variable: MYSQL_SERVER in C:\xampp\htdocs\forum\upgrade.php on line 996

Notice: Undefined variable: MYSQL_LOGIN in C:\xampp\htdocs\forum\upgrade.php on line 997

Notice: Undefined variable: MYSQL_PASSWORD in C:\xampp\htdocs\forum\upgrade.php on line 998

Notice: Undefined variable: MYSQL_DB in C:\xampp\htdocs\forum\upgrade.php on line 999

Warning: mysql_connect() [function.mysql-connect]: Access denied for user 'ODBC'@'localhost' (using password: NO) in C:\xampp\htdocs\forum\upgrade.php on line 455
MySQL Error: #1045 (Access denied for user 'ODBC'@'localhost' (using password: NO))

[Updated on: Wed, 02 May 2007 17:34]

Report message to a moderator

Re: Can't upgrade [message #37092 is a reply to message #37077] Thu, 03 May 2007 20:09 Go to previous messageGo to next message
Ilia is currently offline  Ilia   
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
Are both of the setups on windows?

What version of PHP is being used?


FUDforum Core Developer
Re: Can't upgrade [message #37106 is a reply to message #37077] Fri, 04 May 2007 12:54 Go to previous messageGo to next message
JanRei is currently offline  JanRei   Germany
Messages: 361
Registered: October 2005
Location: Germany
Karma: 0
Senior Member
Contributing Core Developer
Translator
add to buddy list
ignore all messages by this user
One setup is on windows (PHP 5.2.2) and one is on linux (PHP 5.2.1). But I am using windows for building the install/upgrade scripts.
Re: Can't upgrade [message #37159 is a reply to message #37106] Wed, 09 May 2007 20:09 Go to previous messageGo to next message
Ilia is currently offline  Ilia   
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
It would seem parsing of GLOBALS.php had failed and the code did not load the data from the file. Did you modify the file manually? Also, can you send me copy of the file via a private message so i can try and debug the problem.

FUDforum Core Developer
Re: Can't upgrade [message #37166 is a reply to message #37077] Thu, 10 May 2007 14:36 Go to previous messageGo to next message
JanRei is currently offline  JanRei   Germany
Messages: 361
Registered: October 2005
Location: Germany
Karma: 0
Senior Member
Contributing Core Developer
Translator
add to buddy list
ignore all messages by this user
No, I didn't modify GLOBALS.php manually. I have sent you a copy of the file.
Re: Can't upgrade [message #37174 is a reply to message #37166] Thu, 10 May 2007 18:09 Go to previous messageGo to next message
Ilia is currently offline  Ilia   Canada
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
It seems that $DBHOST_DBTYPE is empty in your install. which is very unsual.

If you change its value to "mysql" it should start working.


FUDforum Core Developer
Re: Can't upgrade [message #37177 is a reply to message #37077] Fri, 11 May 2007 01:14 Go to previous messageGo to next message
JanRei is currently offline  JanRei   Germany
Messages: 361
Registered: October 2005
Location: Germany
Karma: 0
Senior Member
Contributing Core Developer
Translator
add to buddy list
ignore all messages by this user
I have had a look at the source of install.php and I think that $DBHOST_TYPE should be always empty in case MySQL is used.

I tried to set the value to "mysql" but this doesn't help.
Re: Can't upgrade [message #37465 is a reply to message #37077] Fri, 25 May 2007 17:43 Go to previous messageGo to next message
JanRei is currently offline  JanRei   Germany
Messages: 361
Registered: October 2005
Location: Germany
Karma: 0
Senior Member
Contributing Core Developer
Translator
add to buddy list
ignore all messages by this user
Any news on this, Ilia?

I have the impression that parts of the GLOBALS.php are lost on preg_match_all in line 985 and further parts are lost on implode in line 986.
Re: Can't upgrade [message #37548 is a reply to message #37465] Sun, 03 June 2007 11:42 Go to previous messageGo to next message
Ilia is currently offline  Ilia   
Messages: 13241
Registered: January 2002
Karma: 0
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
This is now fixed.
Here is the patch
http://cvs.prohost.org/c/index.cgi/FUDforum/chngview?cn=11774


FUDforum Core Developer
Re: Can't upgrade [message #38802 is a reply to message #37548] Wed, 29 August 2007 11:00 Go to previous messageGo to next message
tmuka is currently offline  tmuka   United States
Messages: 9
Registered: July 2007
Location: Michigan
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
So is there a place i can download the newest version of the update.php script and avoid patching? from the looks of it, the version available on the download page is 1.417...

Files: /upgrade.php 1.418->1.419 2 inserted, 2 deleted

I'm having the same issue noted in this thread

Thanks!
-tony

[Updated on: Wed, 29 August 2007 11:02]

Report message to a moderator

Re: Can't upgrade [message #39004 is a reply to message #37077] Fri, 14 September 2007 16:49 Go to previous messageGo to next message
Xonk is currently offline  Xonk   Germany
Messages: 67
Registered: March 2004
Karma: 0
Member
add to buddy list
ignore all messages by this user
Hi,

I have the same error-messages upgrading from 2.7.7RC1.
Is a new release upcoming or must I patch the upgrade.php?

Thanks & greets,

Sven
Re: Can't upgrade [message #39290 is a reply to message #37077] Tue, 16 October 2007 17:05 Go to previous messageGo to next message
dfgngirl is currently offline  dfgngirl   United States
Messages: 87
Registered: December 2005
Karma: 0
Member
add to buddy list
ignore all messages by this user

Yeah I have the same problem going from 2.7.6 to 2.7.7:

Quote:


Notice: Undefined variable: MYSQL_TBL_PREFIX in /home/forum/wwwroot/upgrade.php on line 989

Notice: Undefined variable: MYSQL_SERVER in /home/forum/wwwroot/upgrade.php on line 990

Notice: Undefined variable: MYSQL_LOGIN in /home/forum/wwwroot/upgrade.php on line 991

Notice: Undefined variable: MYSQL_PASSWORD in /home/forum/wwwroot/upgrade.php on line 992

Notice: Undefined variable: MYSQL_DB in /home/forum/wwwroot/upgrade.php on line 993

Warning: mysql_connect() [function.mysql-connect]: Access denied for user 'www-data'@'localhost' (using password: NO) in /home/forum/wwwroot/upgrade.php on line 455
MySQL Error: #1045 (Access denied for user 'www-data'@'localhost' (using password: NO))


I haven't modified anything. I was just getting tired of threads not showing up in 2.7.6 and was hoping the latest update would fix this.
Re: Can't upgrade [message #39291 is a reply to message #37077] Tue, 16 October 2007 17:26 Go to previous message
dfgngirl is currently offline  dfgngirl   United States
Messages: 87
Registered: December 2005
Karma: 0
Member
add to buddy list
ignore all messages by this user

Somehow I was upgrading to RC2, but the plain 2.7.7 upgrade worked, so never mind. Smile
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: SQL Error has occurred
Next Topic: just upgraded...
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Thu Jun 21 14:20:48 EDT 2018

Total time taken to generate the page: 0.00917 seconds